For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
            • GETList Products
            • PUTUpdate Products (batch)
            • POSTCreate Product
            • DELDelete Products
            • GETGet Product
            • PUTUpdate Product
            • DELDelete Product
              • GETList Product Reviews
              • POSTCreate Product Review
              • GETGet Product Review
              • PUTUpdate Product Review
              • DELDelete Product Review
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProductsReviews

List Product Reviews

GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/reviews
GET
/stores/:store_hash/v3/catalog/products/:product_id/reviews
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/reviews \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "title": "Excellent Quality and Fit",
5 "date_reviewed": "2024-01-15T09:30:00Z",
6 "text": "I was really impressed with the quality of this product. It fits perfectly and the material feels durable.",
7 "status": "approved",
8 "rating": 5,
9 "email": "jane.doe@example.com",
10 "name": "Jane Doe",
11 "id": 1024,
12 "date_created": "2024-01-15T09:30:00Z",
13 "date_modified": "2024-01-16T10:00:00Z"
14 }
15 ],
16 "meta": {
17 "pagination": {
18 "total": 36,
19 "count": 36,
20 "per_page": 50,
21 "current_page": 1,
22 "total_pages": 1,
23 "links": {
24 "previous": null,
25 "current": "?page=1&limit=50",
26 "next": null
27 }
28 }
29 }
30}

Returns a list of all Product Reviews. Optional parameters can be passed in.

Was this page helpful?
Previous

Delete Product Metafield

Next

Create Product Review

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

include_fieldslist of enumsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional<=250Defaults to 50

Controls the number of items per page in a limited (paginated) list of products.

statusenumOptional

Filter items by status. 1 for approved, 0 for pending.

Allowed values:

Response

datalist of objects
metaobject
Data about the response, including pagination and collection totals.

Errors

404
Not Found Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.